#ifndef _EDITHOP_H
#define _EDITHOP_H

#include <QDialog>


namespace Ui {
class EditHop;
}

class EditHop : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditHop(int id, QWidget *parent = 0);
    ~EditHop();

private slots:
    void on_saveButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void prod_date_clear();
    void prod_date_today();
    void tht_date_clear();
    void tht_date_today();

private:
    Ui::EditHop *ui;
    int recno;
    bool textIsChanged = false;

    void WindowTitle();
};

#endif
